---
title: "Check a username"
description: "Whether the person could choose a username, without choosing it."
url: "https://openemail.uk/docs/api/account/username-check"
area: "API"
category: "Your account"
---

# Check a username

Whether the person could choose a username, without choosing it.

`GET /account/username/availability`

## GET /account/username/availability

Whether the person could choose a username, without choosing it.

## Example

Needs `account:read`. `status` is `available`, `current` for the username they already have, `taken`, `reserved`, `invalid`, `too_short` or `too_long`, and `message` says it in words.

**curl**

```
curl "$OE/account/username/availability?username=Ada%20Lovelace" -H "$AUTH"
```

**Response**

```
{
  "object": "username_availability",
  "username": "ada.lovelace",
  "status": "available",
  "available": true,
  "message": "Available"
}
```

> The username is lowercased and its spaces become dots before it is checked, and `username` in the answer is the form that was checked.

## Reference

- [`GET /account/username/availability`](https://openemail.uk/docs/api/reference/your-account#get-account-username-availability): full reference
